Pushrail Docs
Open app
POST/oauth/token

Token endpoint

Requires Bearer authentication. See Authentication.

Request body

FieldTypeDescription
grant_typerequired"authorization_code" | "refresh_token" | "urn:ietf:params:oauth:grant-type:device_code"—
codestring—
code_verifierstring—
redirect_uristring—
refresh_tokenstring—
device_codestring—
client_idrequiredstring—
resourcestring—

Responses

200 200
FieldTypeDescription
access_tokenrequiredstring—
token_typerequired"Bearer"—
expires_inrequirednumber—
refresh_tokenstring—
scoperequiredstring—
400 400
FieldTypeDescription
errorrequiredstring—
error_descriptionstring—

Errors

Errors use the standard envelope. See Errors for codes, status mappings, and retry semantics.